#include "zeusmp.def"

C JCV 7/18/2006 blast test (mhd or hd)

c=======================================================================
c
c    \\\\\\\\\\      B E G I N   S U B R O U T I N E      //////////
c    //////////                 BLASTW                    \\\\\\\\\\
c
c=======================================================================
c
       subroutine blastw

       implicit NONE
#include "mod_names.h"
#include "param.h"
#include "field.h"
#include "bndry.h"
#include "grid.h"
#include "root.h"
#include "scratch.h"
#include "mpicom.h"

      integer i,j,k
      REAL dback,dblast,bback

      dback=1.0
      dblast=10.0
      bback=2.0

      do k=ks-2,ke+2
         do j=js-2,je+2
            do i=is-2,ie+2
               d(i,j,k)=dback
               e(i,j,k)=d(i,j,k)/(gamma-1.0)
               v1(i,j,k)=0.0
               v2(i,j,k)=0.0
               v3(i,j,k)=0.0
#ifdef MHD
               b1(i,j,k)=bback
               b2(i,j,k)=bback
               b3(i,j,k)=0.0
#endif /* MHD */
            enddo
         enddo
      enddo

c comment out if statements for cool 4 blast test.
      if (x1a(is) .lt. 0.0) then
         if (x2a(js) .lt. 0.0) then
            do k=20,29
               do j=20,29
                  do i=20,29
                     d(i,j,k)=dblast
                     e(i,j,k)=d(i,j,k)/(gamma-1.0)
                  enddo
               enddo
            enddo
         endif
      endif

      return
      end
