#include "zeusmp.def"
C=======================================================================
c
c                            Developed by
c                Laboratory of Computational Astrophysics
c               University of Illinois at Urbana-Champaign
C
      subroutine fftwplan
C
C     Poisson solver using FFTW library - by PSLi, 12/30/99
C     This subroutine called by ZeusMP at the beginning to create the
C     best calculating plans for FFTW to perform forward and backward
C     FFT.
C
C=======================================================================

      implicit NONE
#include "param.h"
#include "field.h"
#include "grid.h"
#include "gravity.h"
#include "mpicom.h"

#include "bndry.h"

      integer nx,ny,nz,iindex,jindex,kindex
      parameter(nx=ie-is+1,ny=je-js+1,nz=ke-ks+1)
      external create_plan_
C
C   Create plans for FFTW
C
      call create_plan
C
      return
      end
