#include "zeusmp.def"

c JCV 10/27/03
c subroutine to update boundaries and turn jet off
c based on my subroutine from zeus3d


c=======================================================================
c
c    \\\\\\\\\\      B E G I N   S U B R O U T I N E      //////////
c    //////////                 JETOFF                    \\\\\\\\\\
c
c=======================================================================
c

       subroutine jetoff

       implicit NONE

#include "mod_names.h"
#include "param.h"
#include "field.h"
#include "bndry.h"
#include "grid.h"
#include "root.h"
#include "scratch.h"
#include "mpicom.h"

       integer i,j,k

       REAL offtime

       integer thetamax

c       external bndyflgs, bndyall

       offtime=1.0

c---Check to see if it is time to turn jet off
       if (time .GT. offtime .AND. time .LT. offtime + dt) then

          if(myid.eq.0)then
             write(6,"(/'Turning jet off')")
          endif
c 1st jet       
       do j=js-2,je+2
          do k=ks-2,ke+2
             niib(j,k)=2
             v1iib(j,k,1)=0.0
             v1iib(j,k,2)=0.0
c for XYZ geometry in viscous runs
c           do i=is-2,ie+2
c              v3ikb(i,j,1)=0.0
c              v3ikb(i,j,2)=0.0

          enddo
       enddo


       endif

       return
       end
