#include "zeusmp.def"

C JCV - 11/06/06

c=======================================================================
c
c    \\\\\\\\\\      B E G I N   S U B R O U T I N E      //////////
c    //////////                K H                        \\\\\\\\\\
c
c=======================================================================
c
       subroutine kh

       implicit NONE
#include "mod_names.h"
#include "param.h"
#include "field.h"
#include "bndry.h"
#include "grid.h"
#include "root.h"
#include "scratch.h"
#include "mpicom.h"

       integer i,j,k

       if(myid.eq.0)then
          write(6,"(10x,'MYPROB  : Initialisation commencing')")
       endif
c
c
      do k=ks-2,ke+2
         do j=js-2,je+2
            do i=is-2,ie+2
               e(i,j,k)=2.5
               v2(i,j,k)=0.0
               v3(i,j,k)=0.0
               if(x2a(j).le.-0.25)then
                  d(i,j,k)=1.0
                  v1(i,j,k)=-0.5
               endif
               if(x2a(j).ge.0.25)then
                  d(i,j,k)=1.0
                  v1(i,j,k)=-0.5
               endif
               if((x2a(j).gt.-0.25).and.(x2a(j).lt.0.25))then
                  d(i,j,k)=10.0
                  v1(i,j,k)=0.5
               endif
            enddo
         enddo
      enddo
      
      return
      end
