C      #include "mgmpi.cpp"

C     -----------------------------------------------------------------
C     Boundary condition labels
C     -----------------------------------------------------------------

      INTEGER MM_DIRICHLET, MM_NEUMANN, MM_PERIODIC
      PARAMETER (MM_DIRICHLET = 1)
      PARAMETER (MM_NEUMANN   = 2)
      PARAMETER (MM_PERIODIC  = 3)

C     -----------------------------------------------------------------
C     Coordinate system labels
C     -----------------------------------------------------------------

      INTEGER MM_CARTESIAN, MM_CYLINDRICAL, MM_SPHERICAL
      PARAMETER (MM_CARTESIAN   = 1)
      PARAMETER (MM_CYLINDRICAL = 2)
      PARAMETER (MM_SPHERICAL   = 3)

C     -----------------------------------------------------------------
C     Smoother labels
C     -----------------------------------------------------------------

      INTEGER MM_POINT_JACOBI,MM_LOCAL_LINE_JACOBI,MM_PLANE_JACOBI
      INTEGER MM_LOCAL_POINT_RBGS
      PARAMETER (MM_POINT_JACOBI  = 0)
      PARAMETER (MM_LOCAL_LINE_JACOBI   = 1)
      PARAMETER (MM_PLANE_JACOBI  = 2)
      PARAMETER (MM_LOCAL_POINT_RBGS  = 3)

C     -----------------------------------------------------------------
C     Solver labels
C     -----------------------------------------------------------------

      INTEGER MM_MG_SOLVER, MM_CG_SOLVER, MM_BICG_SOLVER
      INTEGER MM_BICGMG_SOLVER, MM_FMG_SOLVER, MM_CGMG_SOLVER

      PARAMETER (MM_CG_SOLVER   = 1)
      PARAMETER (MM_MG_SOLVER   = 2)
      PARAMETER (MM_BICG_SOLVER = 3)
      PARAMETER (MM_BICGMG_SOLVER = 4)
      PARAMETER (MM_FMG_SOLVER = 5)
      PARAMETER (MM_CGMG_SOLVER = 6)

C     Solver for coarsest level
C     -------------------------

      INTEGER MM_CG_COARSE_SOLVER, MM_JACOBI_COARSE_SOLVER
      PARAMETER (MM_CG_COARSE_SOLVER     = 1)
      PARAMETER (MM_JACOBI_COARSE_SOLVER = 2)

C     Grid type
C     ---------

      INTEGER MM_IS_UNIFORM,MM_IS_NONUNIFORM
      PARAMETER (MM_IS_UNIFORM = 1)
      PARAMETER (MM_IS_NONUNIFORM = 2)

C     -----------------------------------------------------------------
C     mmTest* problem values
C     -----------------------------------------------------------------

      INTEGER POISSON, SYMMETRIC, NONSYMMETRIC
      PARAMETER (POISSON=1, SYMMETRIC=2, NONSYMMETRIC=3)

