#ifdef MPI_USED
      include "mpif.h"
      integer stat(MPI_STATUS_SIZE,mreq)
      integer req(mreq)

#if defined SINGLE_PRECISION || defined UNICOS
#define MPI_FLOAT MPI_REAL
c#define MPI_2FLOAT MPI_2REAL
#define MPI_2FLOAT MPI_2DOUBLE_PRECISION
#else
#define MPI_FLOAT MPI_DOUBLE_PRECISION
#define MPI_2FLOAT MPI_2DOUBLE_PRECISION
#endif

#else /* MPI_USED */
      integer stat, req
#endif

      logical periodic(3)
      logical reorder
      integer myid, myid_w, nprocs, nprocs_w, coords(3)
      integer ierr, nreq, nsub
      integer comm3d
      integer ntiles(3)
      integer n1m, n1p, n2m, n2p, n3m, n3p
      integer i_slice,j_slice,k_slice
      integer ils_slice,jls_slice,kls_slice
      integer ilsm_slice,jlsm_slice,klsm_slice
      integer ibuf_in(nbuff), ibuf_out(nbuff)
      REAL    buf_in(nbuff), buf_out(nbuff)
      common /mpicomi/ myid, myid_w, nprocs, nprocs_w, coords
     &               , comm3d, ntiles
     &               , n1m, n1p, n2m, n2p, n3m, n3p
     &               , i_slice, j_slice, k_slice
     &               , ils_slice, jls_slice, kls_slice
     &               , ilsm_slice, jlsm_slice, klsm_slice
     &               , ibuf_in, ibuf_out
     &               , stat, req, ierr, nreq, nsub
      common /mpicoml/ periodic, reorder
      common /mpicomr/ buf_in, buf_out
