#include "zeusmp.def"

C JCV 5/27/04 SOD Shock tube test

c=======================================================================
c
c    \\\\\\\\\\      B E G I N   S U B R O U T I N E      //////////
c    //////////                  SODTUBE                    \\\\\\\\\\
c
c=======================================================================
c
       subroutine sodtube

       implicit NONE
#include "mod_names.h"
#include "param.h"
#include "field.h"
#include "bndry.h"
#include "grid.h"
#include "root.h"
#include "scratch.h"
#include "mpicom.h"

      integer i,j,k
      REAL dr,Pr,dl,Pl

      dl=1
      dr=0.125
      Pl=1
      Pr=0.1



      do k=ks,ke
         do j=js,je
c            do i=is,ie/2
c            do i=(j+1),ie
            do i=is,ie
c               d(i,j,k)=dl
c               e(i,j,k)=Pl/(gamma-1)
               v1(i,j,k)=0.0
               v2(i,j,k)=0.0
               v3(i,j,k)=0.0
               if(x1a(is).lt.0.5)then
                  d(i,j,k)=dl
                  e(i,j,k)=Pl/(gamma-1)
               endif
               if(x1a(ie).gt.0.5)then
                  d(i,j,k)=dr
                  e(i,j,k)=Pr/(gamma-1)
               endif
            enddo


c            do i=(ie/2)+1,ie
c            do i=is,j
c               d(i,j,k)=dr
c               e(i,j,k)=Pr/(gamma-1)
c               v1(i,j,k)=0.0
c               v2(i,j,k)=0.0
c               v3(i,j,k)=0.0
c            enddo
         enddo
      enddo

      call bndyflgs

      return
      end
