#include "zeusmp.def"

C JCV 5/27/04 SOD advection of square pulse

c=======================================================================
c
c    \\\\\\\\\\      B E G I N   S U B R O U T I N E      //////////
c    //////////                  ADVEC                    \\\\\\\\\\
c
c=======================================================================
c
       subroutine advec

       implicit NONE
#include "mod_names.h"
#include "param.h"
#include "field.h"
#include "bndry.h"
#include "grid.h"
#include "root.h"
#include "scratch.h"
#include "mpicom.h"

      integer i,j,k
      REAL dback,dpulse,eback,vback
      integer pstart,pstop
      integer width,offset
      integer loop
      REAL test,vel1,vel2,vel3

      dback=0.001
      dpulse=1
      eback=0.000001/((5.0/3.0)-1)
      vback=1

      test=x1b(js)
      vel1=vback
      vel2=0.0
      vel3=0.0



      width=10
      offset=10
      
      pstart=offset-(width/2)
      pstop=offset+(width/2)

      do k=ks,ke
         do j=js,je
            do i=is,ie
               d(i,j,k)=dback
               e(i,j,k)=eback
               v1(i,j,k)=vel1
               v2(i,j,k)=vel2
               v3(i,j,k)=vel3
            enddo
         enddo
      enddo
      
      if(test .le. 1)then
         do k=ks,ke
            do j=js,je
               do i=is,ie
                  loop=i
                  if((loop  .ge.  pstart) .and. (loop .le. pstop))then
                     d(i,j,k)=dpulse
                  endif            
               enddo
            enddo
         enddo
      endif


      call bndyflgs

      return
      end
