#include "zeusmp.def"

C JCV - 4/06/04 (based of bubble.F by CSR)

c=======================================================================
c
c    \\\\\\\\\\      B E G I N   S U B R O U T I N E      //////////
c    //////////                B O X                      \\\\\\\\\\
c
c
c=======================================================================
c
       subroutine box

       implicit NONE
#include "mod_names.h"
#include "param.h"
#include "field.h"
#include "bndry.h"
#include "grid.h"
#include "root.h"
#include "scratch.h"
#include "mpicom.h"

       integer i,j,k
       integer disturbed

       disturbed=1

       write(6,"(10x,'MYPROB  : Initialisation commencing')")
c
c
      do k=ks-2,ke+2
         do j=js-2,je+2
            do i=is-2,ie+2
c
c     set up undisturbed atmosphere
c
               d(i,j,k)=1.0
               v1(i,j,k)=0.0
               v2(i,j,k)=0.0
               v3(i,j,k)=0.0
               e(i,j,k)=1.0
               if(disturbed .ne. 0)then
c                  e(i,j,k)=e(i,j,k)+2.718281828**(-0.5*(x1b(i)**2.0)
c     & -0.5*(x2b(j)**2.0)
c     &                 )
                  if(x1b(i) .le. 4.0)then
                     e(i,j,k)=20.0
c                     if(x2b(j) .le. 0.5)then
c                        v1(i,j,k)=10.0
c                     endif
                  endif
c                  if(x1b(i) .ge. 6.0)then
c                     v1(i,j,k)=1.0
c                  endif
               endif

            enddo
         enddo
      enddo

c       call bndyflgs


       return
       end

