#include "zeusmp.def"
c=======================================================================
c
c                            Developed by
c                Laboratory of Computational Astrophysics
c               University of Illinois at Urbana-Champaign
c
      subroutine movie
#ifdef MOVIE
     & (filename)
c
c  DUMPS VARIABLES FOR ANIMATION
c
c     written by: Jim Stone
c     date:       June,1993
c     modified1: 
c
c  PURPOSE:  Dumps raster images for animation by Imagetool, Spyglass
c  VIEW, etc.  Currently dumps only density; add new variables as
c  needed.  Min/max of density during simulation must be set by hand
c  in this routine.  This routine is intended as a USER dump.
c
c  LOCALS:
c-----------------------------------------------------------------------
      implicit NONE
#include "param.h"
#include "grid.h"
#include "field.h"
#include "root.h"
      character*8  filename
c
      integer  i,j,irecl
      REAL dmin,dmax,dden
      character*1 fech(in,jn)
      integer ico(in,jn)
c\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\///////////////////////////////
c=======================================================================
c
      dmin = 0.0
      dmax = 1.0
      dden = (dmax-dmin)/float(256)
c
c  density
c
      irecl = nx1z*nx2z
      do 10 i=is,ie
      do 10 j=js,je
        ico(i,j) =  min(max(ifix(dim(d(i,j)-dmin,0.0)/dden),1),253)
        fech(i,j) =  char(ico(i,j))
10    continue
      open(unit=4,file=filename,status='unknown',access='direct',
     &  form='unformatted',recl=irecl)
      write(4,rec=1) ((fech(i,j),i=is,ie),j=js,je)
      close(unit=4)
c
#endif /* MOVIE */
      return
      end
