#include "zeusmp.def"

C JCV - 4/21/05

c=======================================================================
c
c    \\\\\\\\\\      B E G I N   S U B R O U T I N E      //////////
c    //////////                R T                        \\\\\\\\\\
c
c=======================================================================
c
       subroutine rt

       implicit NONE
#include "mod_names.h"
#include "param.h"
#include "field.h"
#include "bndry.h"
#include "grid.h"
#include "root.h"
#include "scratch.h"
#include "mpicom.h"

       integer i,j,k

       if(myid.eq.0)then
          write(6,"(10x,'MYPROB  : Initialisation commencing')")
       endif
c
c
      do k=ks-2,ke+2
         do j=js-2,je+2
            do i=is-2,ie+2
               d(i,j,k)=2.0
               gp(i,j,k)=0.1
               if(x3a(k).le.0.0)then
                  d(i,j,k)=1.0
c                  e(i,j,k)=8.0
               endif
               e(i,j,k)=(2.5-d(i,j,k)*x3b(k))/(gamma-1.0)
               v1(i,j,k)=0.0
               v2(i,j,k)=0.0
               v3(i,j,k)=0.0
c     Set up perturbation
               if((x3a(k).le.0.05).and.(x3a(k).ge.-0.05))then
                  v3(i,j,k)=0.01*
     &                 (1.0+cos(4.0*pi*x1b(i)))*
c     &                 (1.0+cos(4.0*pi*x2b(j)))*
     &                 (1.0+cos(3.0*pi*x3b(k)))
     &                 /4.0
               endif
            enddo
         enddo
      enddo
      
      return
      end
