
      DOUBLE PRECISION pi,G,density,RADIUS,MASS

      PARAMETER (pi=3.14159265358979323D0)
      PARAMETER (G=6.67D-08)
      PARAMETER (density=5.498)
      PARAMETER (RADIUS= 6.378137e8)
      PARAMETER (MASS=4*pi*density*RADIUS**3/3)

C     -----------------------------------------------------------------
C     Parameters-to-COMMON blocks
C     -----------------------------------------------------------------

C     Work storage for test problem (should be ~2.5 * NXLIM*NYLIM*NZLIM)
      INTEGER NWLIM
      PARAMETER (NWLIM=2.5*NXLIM*NYLIM*NZLIM)

      REAL gtsDC
      REAL gtsZ(NWLIM)
      REAL gtsX(NXLIM,NYLIM,NZLIM) ! Solution
      REAL gtsF(NXLIM,NYLIM,NZLIM) ! Right-hand side
      REAL gtsXMB(NYLIM,NZLIM) ! lower X-axis b.c. values
      REAL gtsXPB(NYLIM,NZLIM) ! upper X-axis b.c. values
      REAL gtsYMB(NXLIM,NZLIM) ! lower Y-axis b.c. values
      REAL gtsYPB(NXLIM,NZLIM) ! upper Y-axis b.c. values
      REAL gtsZMB(NXLIM,NYLIM) ! lower Z-axis b.c. values
      REAL gtsZPB(NXLIM,NYLIM) ! upper Z-axis b.c. values
      REAL gtshx(NXLIM),gtshy(NYLIM),gtshz(NZLIM)
      REAL gtsxp(NXLIM),gtsyp(NYLIM),gtszp(NZLIM)

      COMMON /mmTest/ gtsZ,gtsX,gtsF
      COMMON /mmTest/ gtsXMB,gtsXPB,gtsYMB,gtsYPB,gtsZMB,gtsZPB
      COMMON /mmTest/ gtshx,gtshy,gtshz,gtsxp,gtsyp,gtszp,gtsDC
